<?php

namespace Drupal\mcapi_bursers\Plugin\Field\FieldType;

use Drupal\Core\Field\Plugin\Field\FieldType\EntityReferenceItem;

/**
 * Defines the burser user entity reference field type.
 *
 * Differs from entity_reference because it has a separate widget and
 * autocomplete class.
 *
 * @FieldType(
 *   id = "burser_reference",
 *   label = @Translation("Bursers"),
 *   description = @Translation("Users who can control the wallet"),
 *   category = @Translation("Community Accounting"),
 *   default_formatter = "entity_reference_label",
 *   default_widget = "burser_reference_autocomplete",
 *   list_class = "\Drupal\mcapi_bursers\Plugin\Field\FieldType\BurserReferenceFieldItemList"
 * )
 */
class BurserItem extends EntityReferenceItem {

}
