<?php

namespace Drupal\mcapi\Plugin\views\field;

use Drupal\mcapi\Entity\State as McapiState;
use Drupal\views\Plugin\views\field\FieldPluginBase;
use Drupal\views\ResultRow;



/**
 * Field handler for the name of the transaction state.
 *
 * I would hope for a generic filter to come along to render list key/values.
 *
 * @ingroup views_field_handlers
 *
 * @ViewsField("mcapi_state")
 */
class State extends FieldPluginBase {

  /**
   * {@inheritdoc}
   */
  public function render(ResultRow $values) {
    $raw = $this->getValue($values);
    $label = McapiState::load($raw)->label();
    // Should be translated.
    return ['#markup' => '<span class = "mcapi-state-'. $raw .'">' . $label . '</span>'];
  }

}
